"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var logger_1 = require("../logger/logger");
var ionic_project_1 = require("../util/ionic-project");
function createBonjourService(config) {
    if (!config.devapp) {
        return;
    }
    ionic_project_1.getProjectJson()
        .then(function (project) { return project.name; })
        .catch(function () { return 'ionic-app-scripts'; })
        .then(function (projectName) {
        try {
            startDevApp(projectName, config.httpPort);
            logger_1.Logger.info("publishing devapp service (" + name + ")");
        }
        catch (e) {
            logger_1.Logger.warn('mDNS failed when trying to publish service');
            logger_1.Logger.warn(e);
        }
    });
}
exports.createBonjourService = createBonjourService;
function startDevApp(projectName, port) {
    var mdns = require('mdns');
    var name = projectName + ':' + port;
    var service = mdns.createAdvertisement(mdns.tcp('ionicdev'), port, {
        name: name,
    });
    service.start();
}
